Subject: Re: [X2Go-Dev] Missing dependency for x2goserver rpm on RHEL 7.1

From: Michael DePaulo <[email-masked]>
Date: Sun, 5 Jul 2015 13:50:25 -0400

On Sun, Jul 5, 2015 at 1:43 PM, Mihai Moldovan <[email-masked]> wrote:
> On 05.07.2015 08:49 AM, Michael DePaulo wrote:
>> On Sat, Jul 4, 2015 at 9:26 PM, Mihai Moldovan <[email-masked]> wrote:
>>> On 04.07.2015 12:22 PM, Shaheed Haque wrote:
>>>> Only to find that arrow keys, cursor keys were not working. When I tried
>>>> x2goserver, it complained about not find the base rule. With a bit of
>>>> strace'ing, I found the missing file was
>>>> //usr///share///X11///xkb///rules///base/./lst/.
>>>>
>>>> The fix was to install xkeyboard-config-2.9-4.el7.noarch, so this looks like a
>>>> missing dependency. Please consider adding this to the RedHat packages.
>>>
>>> Thanks for debugging this!
>>>
>>> Depending on xkeyboard-config (RPM) and xkb-data (deb) sounds reasonable.
>>
>> Hi Mihai,
>>
>> Perhaps we should Mimic Orion's Fedora/EPEL packaging instead?
>>
>> He has nxagent depend on xkeyboard-config
>> http://pkgs.fedoraproject.org/cgit/nx-libs.git/tree/nx-libs.spec
>
> Yeah, and here we come to the fabulous decision of what package should actually
> sanely depend on what other package.
>
> Currently, we do not depend on X11 packages in nx-libs (but a select amount of
> -dev packages on Debian as build requirements.)
>
> Contrary to that, x2goserver already does depend on X11 packages.
>
> Where does depending on xkeyboard-config make most sense? nxagent itself doesn't
> really depend on it - it's working "fine" without that package, maybe with
> limitations as presented in this bug report.
>
> Luckily, xkeyboard-config (or xkb-data) has no dependencies, so it doesn't add
> any other cruft.
>
> Still, I think (and have also thought about that yesterday) that it's more
> appropriate to depend on it in x2goserver instead of nxagent.
>
>
>
> Mihai
>

Because RPM (prior to 4.12) lacks weak dependencies, that makes sense.

But for dpkg, I recommend adding it to either "recommends" or
"suggests" for nxagent, and adding it to "depends" for x2goserver.

-Mike